Bug 178588 - games/lordsawar: Update to version 0.2.0
Summary: games/lordsawar: Update to version 0.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-13 19:10 UTC by tkato432
Modified: 2013-05-20 10:00 UTC (History)
0 users

See Also:


Attachments
file.diff (14.80 KB, patch)
2013-05-13 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-05-13 18:54:59 UTC
>Number:         178588
>Category:       ports
>Synopsis:       games/lordsawar: Update to version 0.2.0
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Mon May 13 18:10:06 UTC 2013
>Closed-Date:
>Last-Modified:
>Originator:     KATO Tsuguru
>Release:        FreeBSD 7.4-RELEASE-p11 i386
>Organization:
>Environment:
>Description:
- Update to version 0.2.0

>How-To-Repeat:
>Fix:

diff -urN /usr/ports/games/lordsawar/Makefile games/lordsawar/Makefile
--- /usr/ports/games/lordsawar/Makefile	2013-04-30 16:06:03.000000000 +0900
+++ games/lordsawar/Makefile	2013-05-14 00:00:25.000000000 +0900
@@ -1,35 +1,30 @@
 # $FreeBSD: head/games/lordsawar/Makefile 316834 2013-04-29 17:53:34Z ak $
 
 PORTNAME=	lordsawar
-PORTVERSION=	0.1.9
-PORTREVISION=	2
+PORTVERSION=	0.2.0
 CATEGORIES=	games
-MASTER_SITES=	${MASTER_SITE_SAVANNAH}
-MASTER_SITE_SUBDIR=	${PORTNAME}
+MASTER_SITES=	SAVANNAH
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Warlords II clone
 
 LICENSE=	GPLv3
 
-LIB_DEPENDS=	glademm-2:${PORTSDIR}/devel/libglademm24 \
-		gnet-2:${PORTSDIR}/net/gnet2 \
-		uuid:${PORTSDIR}/misc/e2fsprogs-libuuid \
-		tar:${PORTSDIR}/devel/libtar
 BUILD_DEPENDS=	bjam:${PORTSDIR}/devel/boost-jam \
 		${LOCALBASE}/include/boost/shared_ptr.hpp:${PORTSDIR}/devel/boost-libs
+LIB_DEPENDS=	tar:${PORTSDIR}/devel/libtar \
+		uuid:${PORTSDIR}/misc/e2fsprogs-libuuid \
+		gnet-2:${PORTSDIR}/net/gnet2
 
 USES=		gettext
-USE_GMAKE=	yes
-USE_GNOME=	intltool
+USE_GNOME=	gnomehier gtkmm24
 USE_SDL=	sdl image mixer
+USE_GCC=	any
+USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--with-boost-includedir=${LOCALBASE}/include
 MAKE_JOBS_SAFE=	yes
 
-CONFIGURE_ARGS+=--disable-nls \
-		--with-boost-includedir=${LOCALBASE}/include/
-
-CONFIGURE_ENV+=	LIBS="${PTHREAD_LIBS}"
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
diff -urN /usr/ports/games/lordsawar/distinfo games/lordsawar/distinfo
--- /usr/ports/games/lordsawar/distinfo	2012-11-08 07:17:24.000000000 +0900
+++ games/lordsawar/distinfo	2013-05-14 00:00:25.000000000 +0900
@@ -1,2 +1,2 @@
-SHA256 (lordsawar-0.1.9.tar.gz) = 3c5f5708bbfbc8efd6e5ea5929bd657207502e5c03984db9c707fe29803e8779
-SIZE (lordsawar-0.1.9.tar.gz) = 24521408
+SHA256 (lordsawar-0.2.0.tar.gz) = c88f1bbe640bc4c922f47a2050120ccc0354d10ea4738fdc5e1126518165cdd6
+SIZE (lordsawar-0.2.0.tar.gz) = 24748303
diff -urN /usr/ports/games/lordsawar/files/patch-configure games/lordsawar/files/patch-configure
--- /usr/ports/games/lordsawar/files/patch-configure	2012-11-08 07:17:24.000000000 +0900
+++ games/lordsawar/files/patch-configure	1970-01-01 09:00:00.000000000 +0900
@@ -1,31 +0,0 @@
-Index: configure
-@@ -17656,8 +17656,8 @@
- 
- 
- 
--ac_save_cflags=$CFLAGS
--ac_save_ldflags=$LDFLAGS
-+ac_save_CFLAGS=$CFLAGS
-+ac_save_LDFLAGS=$LDFLAGS
- ac_save_libs=$LIBS
- 
- use_sound=1
-@@ -17676,7 +17676,7 @@
-     LDFLAGS="$LDFLAGS -lSDL_mixer"
-     LIBS="-lSDL_mixer $LIBS"
- 
--            if test $CC = "gcc" || test $CXX = "g++"; then
-+            if test ${CC##*/} = "gcc" || test ${CXX##*/} = "g++" || test ${CXX##*/} = "c++"; then
- 
-        if test "$cross_compiling" = yes; then
-   { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-@@ -21267,8 +21267,7 @@
- 
- rm -f src/main.o
- 
--LORDSAWAR_DATADIR="$datadir/lordsawar"
--LORDSAWAR_DATADIR=${LORDSAWAR_DATADIR/'${prefix}'/$prefix}
-+eval LORDSAWAR_DATADIR="$datadir/lordsawar"
- 
- 
- ac_config_files="$ac_config_files dat/Makefile dat/army/Makefile dat/army/default/Makefile dat/army/bigdefault/Makefile dat/tilesets/Makefile dat/tilesets/default/Makefile dat/tilesets/default/misc/Makefile dat/tilesets/bigdefault/Makefile dat/tilesets/bigdefault/misc/Makefile dat/tilesets/stark/Makefile dat/tilesets/stark/misc/Makefile dat/tilesets/bigstark/Makefile dat/tilesets/bigstark/misc/Makefile dat/shield/Makefile dat/shield/default/Makefile dat/shield/plain/Makefile dat/shield/dol/Makefile dat/c  itysets/Makefile dat/citysets/default/Makefile dat/citysets/bigdefault/Makefile dat/citysets/dol/Makefile dat/citysets/bigdol/Makefile dat/various/Makefile dat/various/items/Makefile dat/various/editor/Makefile dat/map/Makefile dat/campaign/Makefile dat/music/Makefile dat/glade/Makefile dat/glade/editor/Makefile po/Makefile.in Makefile src/Makefile doc/Makefile help/Makefile help/figures/Makefile src/editor/Makefile src/pbm/Makefile src/gui/Makefile"
diff -urN /usr/ports/games/lordsawar/files/patch-tarhelper.cpp games/lordsawar/files/patch-tarhelper.cpp
--- /usr/ports/games/lordsawar/files/patch-tarhelper.cpp	2012-11-08 07:17:24.000000000 +0900
+++ games/lordsawar/files/patch-tarhelper.cpp	1970-01-01 09:00:00.000000000 +0900
@@ -1,11 +0,0 @@
-Index: src/tarhelper.cpp
-@@ -244,7 +244,8 @@
-     retval = false;
-   else
-     {
--      if (strcmp(header.magic, "ustar  ") != 0)
-+      if (strcmp(header.magic, "ustar  ") != 0 &&	/* GNU tar format */
-+			  strcmp(header.magic, "ustar") != 0)	/* POSIX tar format */
-         retval = false;
-     }
-   fclose (f);
diff -urN /usr/ports/games/lordsawar/pkg-plist games/lordsawar/pkg-plist
--- /usr/ports/games/lordsawar/pkg-plist	2012-11-08 07:17:23.000000000 +0900
+++ games/lordsawar/pkg-plist	2013-05-14 00:00:25.000000000 +0900
@@ -2,9 +2,82 @@
 bin/lordsawar-army-editor
 bin/lordsawar-city-editor
 bin/lordsawar-editor
+bin/lordsawar-game-host-client
+bin/lordsawar-game-host-server
+bin/lordsawar-game-list-client
+bin/lordsawar-game-list-server
 bin/lordsawar-pbm
 bin/lordsawar-shield-editor
 bin/lordsawar-tile-editor
+share/applications/lordsawar.desktop
+share/gnome/help/lordsawar/C/figures/army_bonus.png
+share/gnome/help/lordsawar/C/figures/army_unit_info.png
+share/gnome/help/lordsawar/C/figures/buy_production.png
+share/gnome/help/lordsawar/C/figures/city_window.png
+share/gnome/help/lordsawar/C/figures/conquer_city.png
+share/gnome/help/lordsawar/C/figures/fight_city_one_vs_two.png
+share/gnome/help/lordsawar/C/figures/fight_one_vs_one.png
+share/gnome/help/lordsawar/C/figures/fight_order.png
+share/gnome/help/lordsawar/C/figures/fighting_city_one_vs_two.png
+share/gnome/help/lordsawar/C/figures/fighting_one_vs_one.png
+share/gnome/help/lordsawar/C/figures/fought_city_one_vs_two.png
+share/gnome/help/lordsawar/C/figures/fought_one_vs_one.png
+share/gnome/help/lordsawar/C/figures/game_lobby.png
+share/gnome/help/lordsawar/C/figures/game_options.png
+share/gnome/help/lordsawar/C/figures/main_screen.png
+share/gnome/help/lordsawar/C/figures/main_screen_buttons.png
+share/gnome/help/lordsawar/C/figures/main_screen_center_on_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_defend_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_deselect_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_diplomacy_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_diplomacy_proposed_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_end_turn_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_move_all_stacks_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_move_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_move_stack_dir_buttons.png
+share/gnome/help/lordsawar/C/figures/main_screen_park_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_select_next_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_stack_search_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_stat_icon_cities.png
+share/gnome/help/lordsawar/C/figures/main_screen_stat_icon_income.png
+share/gnome/help/lordsawar/C/figures/main_screen_stat_icon_treasury.png
+share/gnome/help/lordsawar/C/figures/main_screen_stat_icon_upkeep.png
+share/gnome/help/lordsawar/C/figures/main_screen_stat_icons.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_asterisk.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_caret.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_equals.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_gt.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_hash.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_lt.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_minus.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_pipe.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_plus.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_tilde.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_asterisk.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_caret.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_equals.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_gt.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_hash.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_lt.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_minus.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_pipe.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_plus.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_tilde.png
+share/gnome/help/lordsawar/C/figures/mousecursor_boat.png
+share/gnome/help/lordsawar/C/figures/mousecursor_goto.png
+share/gnome/help/lordsawar/C/figures/mousecursor_hand.png
+share/gnome/help/lordsawar/C/figures/mousecursor_magnifying_glass.png
+share/gnome/help/lordsawar/C/figures/mousecursor_rook.png
+share/gnome/help/lordsawar/C/figures/mousecursor_target.png
+share/gnome/help/lordsawar/C/figures/mousecursor_walk.png
+share/gnome/help/lordsawar/C/legal.xml
+share/gnome/help/lordsawar/C/lordsawar.xml
+share/icons/hicolor/32x32/apps/lordsawar.png
+share/icons/hicolor/64x64/apps/lordsawar.png
+share/locale/ca/LC_MESSAGES/lordsawar.mo
+share/locale/da/LC_MESSAGES/lordsawar.mo
+share/locale/de/LC_MESSAGES/lordsawar.mo
+share/locale/nl/LC_MESSAGES/lordsawar.mo
 %%DATADIR%%/army/bigdefault.lwa
 %%DATADIR%%/army/default.lwa
 %%DATADIR%%/citynames.xml
@@ -91,6 +164,7 @@
 %%DATADIR%%/glade/medal-awarded-dialog.ui
 %%DATADIR%%/glade/military-advisor-dialog.ui
 %%DATADIR%%/glade/new-network-game-dialog.ui
+%%DATADIR%%/glade/new-profile-dialog.ui
 %%DATADIR%%/glade/new-random-map-dialog.ui
 %%DATADIR%%/glade/next-player-turn-dialog.ui
 %%DATADIR%%/glade/pick-network-game-to-join-dialog.ui
@@ -203,86 +277,19 @@
 %%DATADIR%%/various/tilestyles.png
 %%DATADIR%%/various/waypoints.png
 %%DATADIR%%/various/win.png
-share/applications/lordsawar.desktop
-share/gnome/help/lordsawar/C/figures/army_bonus.png
-share/gnome/help/lordsawar/C/figures/army_unit_info.png
-share/gnome/help/lordsawar/C/figures/buy_production.png
-share/gnome/help/lordsawar/C/figures/city_window.png
-share/gnome/help/lordsawar/C/figures/conquer_city.png
-share/gnome/help/lordsawar/C/figures/fight_city_one_vs_two.png
-share/gnome/help/lordsawar/C/figures/fight_one_vs_one.png
-share/gnome/help/lordsawar/C/figures/fight_order.png
-share/gnome/help/lordsawar/C/figures/fighting_city_one_vs_two.png
-share/gnome/help/lordsawar/C/figures/fighting_one_vs_one.png
-share/gnome/help/lordsawar/C/figures/fought_city_one_vs_two.png
-share/gnome/help/lordsawar/C/figures/fought_one_vs_one.png
-share/gnome/help/lordsawar/C/figures/game_lobby.png
-share/gnome/help/lordsawar/C/figures/game_options.png
-share/gnome/help/lordsawar/C/figures/main_screen.png
-share/gnome/help/lordsawar/C/figures/main_screen_buttons.png
-share/gnome/help/lordsawar/C/figures/main_screen_center_on_stack_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_defend_stack_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_deselect_stack_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_diplomacy_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_diplomacy_proposed_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_end_turn_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_move_all_stacks_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_move_stack_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_move_stack_dir_buttons.png
-share/gnome/help/lordsawar/C/figures/main_screen_park_stack_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_select_next_stack_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_stack_search_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_stat_icon_cities.png
-share/gnome/help/lordsawar/C/figures/main_screen_stat_icon_income.png
-share/gnome/help/lordsawar/C/figures/main_screen_stat_icon_treasury.png
-share/gnome/help/lordsawar/C/figures/main_screen_stat_icon_upkeep.png
-share/gnome/help/lordsawar/C/figures/main_screen_stat_icons.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_asterisk.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_caret.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_equals.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_gt.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_hash.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_lt.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_minus.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_pipe.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_plus.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_tilde.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_asterisk.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_caret.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_equals.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_gt.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_hash.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_lt.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_minus.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_pipe.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_plus.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_tilde.png
-share/gnome/help/lordsawar/C/figures/mousecursor_boat.png
-share/gnome/help/lordsawar/C/figures/mousecursor_goto.png
-share/gnome/help/lordsawar/C/figures/mousecursor_hand.png
-share/gnome/help/lordsawar/C/figures/mousecursor_magnifying_glass.png
-share/gnome/help/lordsawar/C/figures/mousecursor_rook.png
-share/gnome/help/lordsawar/C/figures/mousecursor_target.png
-share/gnome/help/lordsawar/C/figures/mousecursor_walk.png
-share/gnome/help/lordsawar/C/legal.xml
-share/gnome/help/lordsawar/C/lordsawar.xml
-share/locale/da/LC_MESSAGES/lordsawar.mo
-share/locale/nl/LC_MESSAGES/lordsawar.mo
-@dirrm %%DATADIR%%/army
-@dirrm %%DATADIR%%/citysets
-@dirrm %%DATADIR%%/glade/editor
-@dirrm %%DATADIR%%/glade
-@dirrm %%DATADIR%%/map
-@dirrm %%DATADIR%%/music
-@dirrm %%DATADIR%%/shield
-@dirrm %%DATADIR%%/tilesets
-@dirrm %%DATADIR%%/various/editor
 @dirrm %%DATADIR%%/various/items
+@dirrm %%DATADIR%%/various/editor
 @dirrm %%DATADIR%%/various
+@dirrm %%DATADIR%%/tilesets
+@dirrm %%DATADIR%%/shield
+@dirrm %%DATADIR%%/music
+@dirrm %%DATADIR%%/map
+@dirrm %%DATADIR%%/glade/editor
+@dirrm %%DATADIR%%/glade
+@dirrm %%DATADIR%%/citysets
+@dirrm %%DATADIR%%/army
 @dirrm %%DATADIR%%
 @dirrm share/gnome/help/lordsawar/C/figures
 @dirrm share/gnome/help/lordsawar/C
 @dirrm share/gnome/help/lordsawar
 @dirrmtry share/applications
-@dirrmtry share/gnome/help
-@dirrmtry share/gnome
>Release-Note:
>Audit-Trail:
>Unformatted:
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 1 tkato432 2013-05-13 19:10:06 UTC
- Update to version 0.2.0
Comment 2 Edwin Groothuis freebsd_committer 2013-05-13 19:11:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2013-05-20 09:56:01 UTC
State Changed
From-To: open->closed

committed thx
Comment 4 dfilter service freebsd_committer 2013-05-20 09:58:37 UTC
Author: miwi
Date: Mon May 20 08:58:29 2013
New Revision: 318586
URL: http://svnweb.freebsd.org/changeset/ports/318586

Log:
  - Update to 0.2.0
  
  PR:		178588
  Submitted by:	Ports Fury

Deleted:
  head/games/lordsawar/files/patch-configure
  head/games/lordsawar/files/patch-tarhelper.cpp
Modified:
  head/games/lordsawar/Makefile
  head/games/lordsawar/distinfo   (contents, props changed)
  head/games/lordsawar/pkg-plist   (contents, props changed)

Modified: head/games/lordsawar/Makefile
==============================================================================
--- head/games/lordsawar/Makefile	Mon May 20 08:55:29 2013	(r318585)
+++ head/games/lordsawar/Makefile	Mon May 20 08:58:29 2013	(r318586)
@@ -1,35 +1,30 @@
 # $FreeBSD$
 
 PORTNAME=	lordsawar
-PORTVERSION=	0.1.9
-PORTREVISION=	2
+PORTVERSION=	0.2.0
 CATEGORIES=	games
-MASTER_SITES=	${MASTER_SITE_SAVANNAH}
-MASTER_SITE_SUBDIR=	${PORTNAME}
+MASTER_SITES=	SAVANNAH
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Warlords II clone
 
 LICENSE=	GPLv3
 
-LIB_DEPENDS=	glademm-2:${PORTSDIR}/devel/libglademm24 \
-		gnet-2:${PORTSDIR}/net/gnet2 \
-		uuid:${PORTSDIR}/misc/e2fsprogs-libuuid \
-		tar:${PORTSDIR}/devel/libtar
 BUILD_DEPENDS=	bjam:${PORTSDIR}/devel/boost-jam \
 		${LOCALBASE}/include/boost/shared_ptr.hpp:${PORTSDIR}/devel/boost-libs
+LIB_DEPENDS=	tar:${PORTSDIR}/devel/libtar \
+		uuid:${PORTSDIR}/misc/e2fsprogs-libuuid \
+		gnet-2:${PORTSDIR}/net/gnet2
 
 USES=		gettext
-USE_GMAKE=	yes
-USE_GNOME=	intltool
+USE_GNOME=	gnomehier gtkmm24
 USE_SDL=	sdl image mixer
+USE_GCC=	any
+USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--with-boost-includedir=${LOCALBASE}/include
 MAKE_JOBS_SAFE=	yes
 
-CONFIGURE_ARGS+=--disable-nls \
-		--with-boost-includedir=${LOCALBASE}/include/
-
-CONFIGURE_ENV+=	LIBS="${PTHREAD_LIBS}"
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 

Modified: head/games/lordsawar/distinfo
==============================================================================
--- head/games/lordsawar/distinfo	Mon May 20 08:55:29 2013	(r318585)
+++ head/games/lordsawar/distinfo	Mon May 20 08:58:29 2013	(r318586)
@@ -1,2 +1,2 @@
-SHA256 (lordsawar-0.1.9.tar.gz) = 3c5f5708bbfbc8efd6e5ea5929bd657207502e5c03984db9c707fe29803e8779
-SIZE (lordsawar-0.1.9.tar.gz) = 24521408
+SHA256 (lordsawar-0.2.0.tar.gz) = c88f1bbe640bc4c922f47a2050120ccc0354d10ea4738fdc5e1126518165cdd6
+SIZE (lordsawar-0.2.0.tar.gz) = 24748303

Modified: head/games/lordsawar/pkg-plist
==============================================================================
--- head/games/lordsawar/pkg-plist	Mon May 20 08:55:29 2013	(r318585)
+++ head/games/lordsawar/pkg-plist	Mon May 20 08:58:29 2013	(r318586)
@@ -2,9 +2,82 @@ bin/lordsawar
 bin/lordsawar-army-editor
 bin/lordsawar-city-editor
 bin/lordsawar-editor
+bin/lordsawar-game-host-client
+bin/lordsawar-game-host-server
+bin/lordsawar-game-list-client
+bin/lordsawar-game-list-server
 bin/lordsawar-pbm
 bin/lordsawar-shield-editor
 bin/lordsawar-tile-editor
+share/applications/lordsawar.desktop
+share/gnome/help/lordsawar/C/figures/army_bonus.png
+share/gnome/help/lordsawar/C/figures/army_unit_info.png
+share/gnome/help/lordsawar/C/figures/buy_production.png
+share/gnome/help/lordsawar/C/figures/city_window.png
+share/gnome/help/lordsawar/C/figures/conquer_city.png
+share/gnome/help/lordsawar/C/figures/fight_city_one_vs_two.png
+share/gnome/help/lordsawar/C/figures/fight_one_vs_one.png
+share/gnome/help/lordsawar/C/figures/fight_order.png
+share/gnome/help/lordsawar/C/figures/fighting_city_one_vs_two.png
+share/gnome/help/lordsawar/C/figures/fighting_one_vs_one.png
+share/gnome/help/lordsawar/C/figures/fought_city_one_vs_two.png
+share/gnome/help/lordsawar/C/figures/fought_one_vs_one.png
+share/gnome/help/lordsawar/C/figures/game_lobby.png
+share/gnome/help/lordsawar/C/figures/game_options.png
+share/gnome/help/lordsawar/C/figures/main_screen.png
+share/gnome/help/lordsawar/C/figures/main_screen_buttons.png
+share/gnome/help/lordsawar/C/figures/main_screen_center_on_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_defend_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_deselect_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_diplomacy_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_diplomacy_proposed_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_end_turn_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_move_all_stacks_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_move_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_move_stack_dir_buttons.png
+share/gnome/help/lordsawar/C/figures/main_screen_park_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_select_next_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_stack_search_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_stat_icon_cities.png
+share/gnome/help/lordsawar/C/figures/main_screen_stat_icon_income.png
+share/gnome/help/lordsawar/C/figures/main_screen_stat_icon_treasury.png
+share/gnome/help/lordsawar/C/figures/main_screen_stat_icon_upkeep.png
+share/gnome/help/lordsawar/C/figures/main_screen_stat_icons.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_asterisk.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_caret.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_equals.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_gt.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_hash.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_lt.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_minus.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_pipe.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_plus.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_tilde.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_asterisk.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_caret.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_equals.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_gt.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_hash.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_lt.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_minus.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_pipe.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_plus.png
+share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_tilde.png
+share/gnome/help/lordsawar/C/figures/mousecursor_boat.png
+share/gnome/help/lordsawar/C/figures/mousecursor_goto.png
+share/gnome/help/lordsawar/C/figures/mousecursor_hand.png
+share/gnome/help/lordsawar/C/figures/mousecursor_magnifying_glass.png
+share/gnome/help/lordsawar/C/figures/mousecursor_rook.png
+share/gnome/help/lordsawar/C/figures/mousecursor_target.png
+share/gnome/help/lordsawar/C/figures/mousecursor_walk.png
+share/gnome/help/lordsawar/C/legal.xml
+share/gnome/help/lordsawar/C/lordsawar.xml
+share/icons/hicolor/32x32/apps/lordsawar.png
+share/icons/hicolor/64x64/apps/lordsawar.png
+share/locale/ca/LC_MESSAGES/lordsawar.mo
+share/locale/da/LC_MESSAGES/lordsawar.mo
+share/locale/de/LC_MESSAGES/lordsawar.mo
+share/locale/nl/LC_MESSAGES/lordsawar.mo
 %%DATADIR%%/army/bigdefault.lwa
 %%DATADIR%%/army/default.lwa
 %%DATADIR%%/citynames.xml
@@ -91,6 +164,7 @@ bin/lordsawar-tile-editor
 %%DATADIR%%/glade/medal-awarded-dialog.ui
 %%DATADIR%%/glade/military-advisor-dialog.ui
 %%DATADIR%%/glade/new-network-game-dialog.ui
+%%DATADIR%%/glade/new-profile-dialog.ui
 %%DATADIR%%/glade/new-random-map-dialog.ui
 %%DATADIR%%/glade/next-player-turn-dialog.ui
 %%DATADIR%%/glade/pick-network-game-to-join-dialog.ui
@@ -203,86 +277,19 @@ bin/lordsawar-tile-editor
 %%DATADIR%%/various/tilestyles.png
 %%DATADIR%%/various/waypoints.png
 %%DATADIR%%/various/win.png
-share/applications/lordsawar.desktop
-share/gnome/help/lordsawar/C/figures/army_bonus.png
-share/gnome/help/lordsawar/C/figures/army_unit_info.png
-share/gnome/help/lordsawar/C/figures/buy_production.png
-share/gnome/help/lordsawar/C/figures/city_window.png
-share/gnome/help/lordsawar/C/figures/conquer_city.png
-share/gnome/help/lordsawar/C/figures/fight_city_one_vs_two.png
-share/gnome/help/lordsawar/C/figures/fight_one_vs_one.png
-share/gnome/help/lordsawar/C/figures/fight_order.png
-share/gnome/help/lordsawar/C/figures/fighting_city_one_vs_two.png
-share/gnome/help/lordsawar/C/figures/fighting_one_vs_one.png
-share/gnome/help/lordsawar/C/figures/fought_city_one_vs_two.png
-share/gnome/help/lordsawar/C/figures/fought_one_vs_one.png
-share/gnome/help/lordsawar/C/figures/game_lobby.png
-share/gnome/help/lordsawar/C/figures/game_options.png
-share/gnome/help/lordsawar/C/figures/main_screen.png
-share/gnome/help/lordsawar/C/figures/main_screen_buttons.png
-share/gnome/help/lordsawar/C/figures/main_screen_center_on_stack_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_defend_stack_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_deselect_stack_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_diplomacy_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_diplomacy_proposed_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_end_turn_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_move_all_stacks_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_move_stack_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_move_stack_dir_buttons.png
-share/gnome/help/lordsawar/C/figures/main_screen_park_stack_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_select_next_stack_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_stack_search_button.png
-share/gnome/help/lordsawar/C/figures/main_screen_stat_icon_cities.png
-share/gnome/help/lordsawar/C/figures/main_screen_stat_icon_income.png
-share/gnome/help/lordsawar/C/figures/main_screen_stat_icon_treasury.png
-share/gnome/help/lordsawar/C/figures/main_screen_stat_icon_upkeep.png
-share/gnome/help/lordsawar/C/figures/main_screen_stat_icons.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_asterisk.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_caret.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_equals.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_gt.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_hash.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_lt.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_minus.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_pipe.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_plus.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_black_tilde.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_asterisk.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_caret.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_equals.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_gt.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_hash.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_lt.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_minus.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_pipe.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_plus.png
-share/gnome/help/lordsawar/C/figures/main_screen_symbol_white_tilde.png
-share/gnome/help/lordsawar/C/figures/mousecursor_boat.png
-share/gnome/help/lordsawar/C/figures/mousecursor_goto.png
-share/gnome/help/lordsawar/C/figures/mousecursor_hand.png
-share/gnome/help/lordsawar/C/figures/mousecursor_magnifying_glass.png
-share/gnome/help/lordsawar/C/figures/mousecursor_rook.png
-share/gnome/help/lordsawar/C/figures/mousecursor_target.png
-share/gnome/help/lordsawar/C/figures/mousecursor_walk.png
-share/gnome/help/lordsawar/C/legal.xml
-share/gnome/help/lordsawar/C/lordsawar.xml
-share/locale/da/LC_MESSAGES/lordsawar.mo
-share/locale/nl/LC_MESSAGES/lordsawar.mo
-@dirrm %%DATADIR%%/army
-@dirrm %%DATADIR%%/citysets
-@dirrm %%DATADIR%%/glade/editor
-@dirrm %%DATADIR%%/glade
-@dirrm %%DATADIR%%/map
-@dirrm %%DATADIR%%/music
-@dirrm %%DATADIR%%/shield
-@dirrm %%DATADIR%%/tilesets
-@dirrm %%DATADIR%%/various/editor
 @dirrm %%DATADIR%%/various/items
+@dirrm %%DATADIR%%/various/editor
 @dirrm %%DATADIR%%/various
+@dirrm %%DATADIR%%/tilesets
+@dirrm %%DATADIR%%/shield
+@dirrm %%DATADIR%%/music
+@dirrm %%DATADIR%%/map
+@dirrm %%DATADIR%%/glade/editor
+@dirrm %%DATADIR%%/glade
+@dirrm %%DATADIR%%/citysets
+@dirrm %%DATADIR%%/army
 @dirrm %%DATADIR%%
 @dirrm share/gnome/help/lordsawar/C/figures
 @dirrm share/gnome/help/lordsawar/C
 @dirrm share/gnome/help/lordsawar
 @dirrmtry share/applications
-@dirrmtry share/gnome/help
-@dirrmtry share/gnome
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"